VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::SizeParams Class Reference

The `SizeParams` class contains estimates of the download and deployment sizes. More...

List of all members.

## Public Member Functions
| SizeParams ()
| Creates a default new instance.
long | GetApproximateDownloadSize ()
| A best guess as to the total amount of data that must be transferred to download the OVF package.
void | SetApproximateDownloadSize (long?approximateDownloadSize)
| A best guess as to the total amount of data that must be transferred to download the OVF package.
long | GetApproximateFlatDeploymentSize ()
| A best guess as to the total amount of space required to deploy the OVF package if using flat disks.
void | SetApproximateFlatDeploymentSize (long?approximateFlatDeploymentSize)
| A best guess as to the total amount of space required to deploy the OVF package if using flat disks.
long | GetApproximateSparseDeploymentSize ()
| A best guess as to the total amount of space required to deploy the OVF package using sparse disks.
void | SetApproximateSparseDeploymentSize (long?approximateSparseDeploymentSize)
| A best guess as to the total amount of space required to deploy the OVF package using sparse disks.
bool | GetVariableDiskSize ()
| Whether the OVF uses variable disk sizes.
void | SetVariableDiskSize (bool?variableDiskSize)
| Whether the OVF uses variable disk sizes.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `SizeParams` class contains estimates of the download and deployment sizes.

This information is based on the file references and the ovf:DiskSection in the OVF descriptor.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::SizeParams::SizeParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::SizeParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::SizeParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::SizeParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::SizeParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::SizeParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::SizeParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::SizeParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

long vmware::vcenter::ovf::SizeParams::GetApproximateDownloadSize | ( |  | ) | `[inline]`

A best guess as to the total amount of data that must be transferred to download the OVF package.

This may be inaccurate due to disk compression etc.

long vmware::vcenter::ovf::SizeParams::GetApproximateFlatDeploymentSize | ( |  | ) | `[inline]`

A best guess as to the total amount of space required to deploy the OVF package if using flat disks.

long vmware::vcenter::ovf::SizeParams::GetApproximateSparseDeploymentSize | ( |  | ) | `[inline]`

A best guess as to the total amount of space required to deploy the OVF package using sparse disks.

override int vmware::vcenter::ovf::SizeParams::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::SizeParams::GetVariableDiskSize | ( |  | ) | `[inline]`

Whether the OVF uses variable disk sizes.

For empty disks, rather than specifying a fixed virtual disk capacity, the capacity may be given using a reference to a ovf:Property element in a ovf:ProductSection element in OVF package.

void vmware::vcenter::ovf::SizeParams::SetApproximateDownloadSize | ( | long? | approximateDownloadSize | ) | `[inline]`

A best guess as to the total amount of data that must be transferred to download the OVF package.

This may be inaccurate due to disk compression etc.

void vmware::vcenter::ovf::SizeParams::SetApproximateFlatDeploymentSize | ( | long? | approximateFlatDeploymentSize | ) | `[inline]`

A best guess as to the total amount of space required to deploy the OVF package if using flat disks.

void vmware::vcenter::ovf::SizeParams::SetApproximateSparseDeploymentSize | ( | long? | approximateSparseDeploymentSize | ) | `[inline]`

A best guess as to the total amount of space required to deploy the OVF package using sparse disks.

void vmware::vcenter::ovf::SizeParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

void vmware::vcenter::ovf::SizeParams::SetVariableDiskSize | ( | bool? | variableDiskSize | ) | `[inline]`

Whether the OVF uses variable disk sizes.

For empty disks, rather than specifying a fixed virtual disk capacity, the capacity may be given using a reference to a ovf:Property element in a ovf:ProductSection element in OVF package.

override string vmware::vcenter::ovf::SizeParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SizeParams.cs